Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
modular xorg fails to compile
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
b4nsh33
Tux's lil' helper
Tux's lil' helper


Joined: 29 Oct 2004
Posts: 85

PostPosted: Thu Jun 29, 2006 11:37 pm    Post subject: modular xorg fails to compile Reply with quote

hi, im upgrading to xorg7.1 following this wiki how to

http://gentoo-wiki.com/HOWTO_Modular_Xorg#Emerge_X.org_7


emerge -DuNv xorg-x11 fails with the following error

checking how to hardcode library paths into programs... immediate
checking for x86_64-pc-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for XT... configure: error: Package requirements (sm x11 xproto kbproto) were not met:

No package 'x11' found
No package 'kbproto' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables XT_CFLAGS
and XT_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


!!! Please attach the config.log to your bug report:
!!! /var/tmp/portage/libXt-1.0.2/work/libXt-1.0.2/config.log

!!! ERROR: x11-libs/libXt-1.0.2 failed.
!!! Function econf, Line 495, Exitcode 0
!!! econf failed
!!! If you need support, post the topmost build error, NOT this status message.


any hint?
BTW, This is a gentoo 2006 in an amd 3200+,
im doing this because i want to try the amazing compiz vm for gentoo, do it is worth it?
thanks
Back to top
View user's profile Send private message
samo
Guru
Guru


Joined: 13 Mar 2004
Posts: 459

PostPosted: Sat Jul 01, 2006 10:22 am    Post subject: Reply with quote

Same problem here.
Back to top
View user's profile Send private message
juantxorena
Apprentice
Apprentice


Joined: 19 Mar 2006
Posts: 201
Location: The Shire

PostPosted: Sat Jul 01, 2006 11:05 am    Post subject: Reply with quote

Same here. I'm upgrading to 7.0 because I use amd64 and nvidia (nvidia drivers don't worl with 7.1). It seems like a problem in libXt ebuild.

I've just start a new post because I didn't see this one.
_________________
I cannot write English very well. Please, correct any mistake so that I can improve.
Back to top
View user's profile Send private message
juantxorena
Apprentice
Apprentice


Joined: 19 Mar 2006
Posts: 201
Location: The Shire

PostPosted: Sat Jul 01, 2006 11:43 am    Post subject: Reply with quote

I've found this bug report: https://bugs.gentoo.org/show_bug.cgi?id=127364.
According the last comment, we must do "emerge xorg-x11" instead of "emerge -uvaDN xorg-x11". The last one emerge libXt too early, and some dependencies fail. I don't know if it works, I going to do that now, and I'll post the results.
_________________
I cannot write English very well. Please, correct any mistake so that I can improve.
Back to top
View user's profile Send private message
ZmjbS
Tux's lil' helper
Tux's lil' helper


Joined: 24 Jan 2005
Posts: 133
Location: Reykjavík, Ísland

PostPosted: Sat Jul 01, 2006 3:46 pm    Post subject: Re: modular xorg fails to compile Reply with quote

b4nsh33 wrote:
hi, im upgrading to xorg7.1 following this wiki how to

http://gentoo-wiki.com/HOWTO_Modular_Xorg#Emerge_X.org_7


emerge -DuNv xorg-x11 fails with the following error

checking how to hardcode library paths into programs... immediate
checking for x86_64-pc-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for XT... configure: error: Package requirements (sm x11 xproto kbproto) were not met:
[...]
any hint?


Do you have to go to 7.1? Would 7.0 do for you? It seems to work for most (was a pain at one stage).

Your problem might be that some of the packages you need (e.g. kbproto) are masked (see: MASKED PACKAGES in emerge(1)). Either go for 7.0 or you will have to do some keywording and unmasking (in /etc/portage/package.keywords and /etc/portage/package.unmask). Tread carefully, though!

See also:http://www.gentoo.org/proj/en/desktop/x/x11/modular-x-howto.xml

PS. If you have solved this, please consider writing a quick post on what you did and adding "[SOLVED]" to the subject of the original post.
_________________
Signatures are, like, so cool...
Back to top
View user's profile Send private message
juantxorena
Apprentice
Apprentice


Joined: 19 Mar 2006
Posts: 201
Location: The Shire

PostPosted: Sat Jul 01, 2006 4:54 pm    Post subject: Reply with quote

I tried it like I wrote before. It works, it compiles.Now I got another problem, but it's not related to this.
_________________
I cannot write English very well. Please, correct any mistake so that I can improve.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum